Bug 548751 - "IOError: [Errno 32] Broken pipe" when running `spacewalk-report entitlements | head`
"IOError: [Errno 32] Broken pipe" when running `spacewalk-report entitlements...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: New Feature (Show other bugs)
530
All Linux
low Severity low
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks: sat531-reports
  Show dependency treegraph
 
Reported: 2009-12-18 09:09 EST by Jan Hutař
Modified: 2010-01-07 09:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-07 09:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hutař 2009-12-18 09:09:24 EST
Description of problem:
When I run `spacewalk-report entitlements | head` I'm getting traceback.


Version-Release number of selected component (if applicable):
spacewalk-reports-0.7.0-2.el5sat


How reproducible:
always


Steps to Reproduce:
1. # spacewalk-report entitlements | head


Actual results:
organization_id,organization,entitlement_type,entitlement,used,total
1,Red Hat SatTeam,system,RHN Management Entitled Servers,3,8000
[...]
1,Red Hat SatTeam,channel,RHEL Cluster-Storage,0,1000
Traceback (most recent call last):
  File "/usr/bin/spacewalk-report", line 150, in ?
    writer.writerow(outrow)
IOError: [Errno 32] Broken pipe


Expected results:
no traceback
Comment 1 Jan Pazdziora 2010-01-04 06:30:40 EST
Fixed in Spacewalk master b9f2bbc46d1d4c11e4f8e1dd1abfbc27920a401d, fixed in SATELLITE-5.3 9bc4f7b3f65a071eed5031f385720e626b0c6633.
Comment 3 Jan Pazdziora 2010-01-04 09:13:15 EST
Tagged and built as spacewalk-reports-0.7.1-1.
Comment 4 Jan Hutař 2010-01-07 09:07:49 EST
Tested using rh-tests-RHN-Satellite-Other-Sanity-reporting-general-1.0-11.
Comment 5 Jan Pazdziora 2010-01-07 09:10:56 EST
Released in errata http://rhn.redhat.com/errata/RHEA-2010-0015.html

Note You need to log in before you can comment on or make changes to this bug.